japa.parser.ast.stmt

## Class DoStmt

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.stmt.Statement
    - - japa.parser.ast.stmt.DoStmt

    public final class DoStmt
    extends Statement

Author:
  Julio Vilmar Gesser

### Field Summary

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`DoStmt()`
`DoStmt(int beginLine, int beginColumn, int endLine, int endColumn, Statement body, Expression condition)`
`DoStmt(Statement body, Expression condition)`

### Method Summary

All Methods Instance Methods Concrete Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`Statement` `getBody()`
`Expression` `getCondition()`
`void` `setBody(Statement body)`
`void` `setCondition(Expression condition)`

### Methods inherited from class japa.parser.ast.Node

`addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DoStmt

    public DoStmt()

#### DoStmt

    public DoStmt(Statement body,
                  Expression condition)

#### DoStmt

    public DoStmt(int beginLine,
                  int beginColumn,
                  int endLine,
                  int endColumn,
                  Statement body,
                  Expression condition)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                          A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed to the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - the argument passed to the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                           A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getBody

    public Statement getBody()

#### getCondition

    public Expression getCondition()

#### setBody

    public void setBody(Statement body)

#### setCondition

    public void setCondition(Expression condition)